Bug 1318358 - Review Request: copr-dist-git - Copr services for Dist Git server
Summary: Review Request: copr-dist-git - Copr services for Dist Git server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Samalik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-16 15:54 UTC by Miroslav Suchý
Modified: 2016-06-10 20:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-15 21:36:37 UTC
asamalik: fedora-review+


Attachments (Terms of Use)

Description Miroslav Suchý 2016-03-16 15:54:26 UTC
Spec URL: http://miroslav.suchy.cz/copr/copr-dist-git.spec
SRPM URL: http://miroslav.suchy.cz/copr/copr-dist-git-0.14-1.fc23.src.rpm
Description: COPR is lightweight build system. It allows you to create new project in WebUI
and submit new builds and COPR will create yum repository from latest builds.
This package contains Copr services for Dist Git server.

Fedora Account System Username: msuchy

rpmlint waives off:
copr-dist-git.noarch: W: non-standard-uid /var/lib/copr-dist-git copr-service
copr-dist-git.noarch: W: non-standard-gid /var/lib/copr-dist-git copr-service
copr-dist-git.noarch: W: non-standard-uid /var/log/copr-dist-git copr-service
copr-dist-git.noarch: W: non-standard-gid /var/log/copr-dist-git copr-service
copr-dist-git.noarch: W: non-standard-uid /var/log/copr-dist-git/main.log copr-service
copr-dist-git.noarch: W: non-standard-gid /var/log/copr-dist-git/main.log copr-service
copr-dist-git.noarch: W: non-standard-gid /etc/copr/copr-dist-git.conf copr-service
   It must be writeable by service which use identity copr-service:copr-service

copr-dist-git.noarch: E: non-readable /etc/copr/copr-dist-git.conf 640
   There are confidental data.

copr-dist-git.noarch: W: no-manual-page-for-binary importer_runner.py
copr-dist-git.noarch: W: no-documentation
  This is for internal Copr instance. Not actually meant to be run and installed without additional knowledge. Whole setup is documented on project page.

Comment 1 Adam Samalik 2016-03-16 18:49:15 UTC
I have found 1 issue. I didn't have time to check the Python items.

Everything else except the following 5 items passed.

[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/copr,
     /etc/logrotate.d

Python:
[ ]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[ ]: Binary eggs must be removed in %prep

Comment 3 Adam Samalik 2016-04-01 08:02:08 UTC


Python:
[-]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[-]: Binary eggs must be removed in %prep

Comment 4 Adam Samalik 2016-04-01 08:18:49 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/copr(copr-
     frontend, copr-backend), /etc/logrotate.d(samba-common, logrotate,
     ppp, sssd-common), /etc/copr(copr-frontend, copr-backend)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[-]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[-]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: copr-dist-git-0.15-1.fc23.noarch.rpm
          copr-dist-git-0.15-1.fc23.src.rpm
copr-dist-git.noarch: W: no-documentation
copr-dist-git.noarch: W: non-standard-uid /var/lib/copr-dist-git copr-service
copr-dist-git.noarch: W: non-standard-gid /var/lib/copr-dist-git copr-service
copr-dist-git.noarch: W: non-standard-uid /var/log/copr-dist-git copr-service
copr-dist-git.noarch: W: non-standard-gid /var/log/copr-dist-git copr-service
copr-dist-git.noarch: W: non-standard-uid /var/log/copr-dist-git/main.log copr-service
copr-dist-git.noarch: W: non-standard-gid /var/log/copr-dist-git/main.log copr-service
copr-dist-git.noarch: W: non-standard-gid /etc/copr/copr-dist-git.conf copr-service
copr-dist-git.noarch: E: non-readable /etc/copr/copr-dist-git.conf 640
copr-dist-git.noarch: W: no-manual-page-for-binary importer_runner.py
copr-dist-git.src:163: W: macro-in-%changelog %check
copr-dist-git.src: W: invalid-url Source0: copr-dist-git-0.15.tar.gz
2 packages and 0 specfiles checked; 1 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
copr-dist-git.noarch: W: no-documentation
copr-dist-git.noarch: W: non-standard-uid /var/lib/copr-dist-git copr-service
copr-dist-git.noarch: W: non-standard-gid /var/lib/copr-dist-git copr-service
copr-dist-git.noarch: W: non-standard-uid /var/log/copr-dist-git copr-service
copr-dist-git.noarch: W: non-standard-gid /var/log/copr-dist-git copr-service
copr-dist-git.noarch: W: non-standard-gid /etc/copr/copr-dist-git.conf copr-service
copr-dist-git.noarch: E: non-readable /etc/copr/copr-dist-git.conf 640
copr-dist-git.noarch: W: non-standard-uid /var/log/copr-dist-git/main.log copr-service
copr-dist-git.noarch: W: non-standard-gid /var/log/copr-dist-git/main.log copr-service
copr-dist-git.noarch: W: no-manual-page-for-binary importer_runner.py
1 packages and 0 specfiles checked; 1 errors, 9 warnings.



Requires
--------
copr-dist-git (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    /usr/bin/python2
    config(copr-dist-git)
    dist-git
    httpd
    mock-scm
    policycoreutils-python-utils
    pyp2rpm
    pyrpkg
    python-bunch
    python-requests
    systemd
    tito



Provides
--------
copr-dist-git:
    config(copr-dist-git)
    copr-dist-git

Comment 5 Adam Samalik 2016-04-01 08:22:25 UTC
I agree with the rpmlint related comments Miroslav made in the first comment.

Comment 6 Fedora Update System 2016-04-05 14:57:54 UTC
copr-dist-git-0.15-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-371842c47d

Comment 7 Fedora Update System 2016-04-05 14:58:00 UTC
copr-dist-git-0.15-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-49331c598d

Comment 8 Fedora Update System 2016-04-05 14:58:04 UTC
copr-dist-git-0.15-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c3816edcbf

Comment 9 Fedora Update System 2016-04-06 17:53:55 UTC
copr-dist-git-0.15-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-371842c47d

Comment 10 Fedora Update System 2016-04-06 18:21:17 UTC
copr-dist-git-0.15-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-49331c598d

Comment 11 Fedora Update System 2016-04-06 21:20:19 UTC
copr-dist-git-0.15-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c3816edcbf

Comment 12 Fedora Update System 2016-04-15 21:36:36 UTC
copr-dist-git-0.15-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-04-22 01:25:56 UTC
copr-dist-git-0.15-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-06-10 20:47:30 UTC
copr-dist-git-0.15-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.